summaryrefslogtreecommitdiffstats
path: root/installer/pkg-generator/DEBIAN/preinst
diff options
context:
space:
mode:
Diffstat (limited to 'installer/pkg-generator/DEBIAN/preinst')
-rwxr-xr-xinstaller/pkg-generator/DEBIAN/preinst16
1 files changed, 16 insertions, 0 deletions
diff --git a/installer/pkg-generator/DEBIAN/preinst b/installer/pkg-generator/DEBIAN/preinst
index b739daee..fed7ea14 100755
--- a/installer/pkg-generator/DEBIAN/preinst
+++ b/installer/pkg-generator/DEBIAN/preinst
@@ -4,3 +4,19 @@
# services for packages which are being upgraded until their installation
# or upgrade is completed (following the successful execution of the
# 'postinst' script).
+
+# test if it is already installed using old installer script
+
+VFILE=/opt/opengnsys/doc/VERSION.txt
+if [ -f $VFILE ]; then
+ echo "##############################################################"
+ echo "ERROR: File $VFILE exists. This could"
+ echo "mean that OpenGnsys has been previously installed using the"
+ echo "installer script."
+ echo "This apt package is not suitable for upgrading and may break"
+ echo "the system. If you are shure what you are doing you could"
+ echo "delete or rename that file and try again"
+ echo "Terminating!"
+ echo "##############################################################"
+ exit 1
+fi